## onetbb 2022.0.0

=== doc/Makefile ===
#===============================================================================
# Copyright (C) 2022 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#===============================================================================

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== examples/getting_started/sub_string_finder/CMakeLists.txt ===
# Copyright (c) 2020-2023 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(sub_string_finder_simple CXX)
project(sub_string_finder_extended CXX)
project(sub_string_finder_pretty CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

add_executable(sub_string_finder_simple sub_string_finder.cpp)
add_executable(sub_string_finder_extended sub_string_finder_extended.cpp)
add_executable(sub_string_finder_pretty sub_string_finder_pretty.cpp)

target_link_libraries(sub_string_finder_simple TBB::tbb Threads::Threads)
target_link_libraries(sub_string_finder_extended TBB::tbb Threads::Threads)
target_link_libraries(sub_string_finder_pretty TBB::tbb Threads::Threads)

target_compile_options(sub_string_finder_simple PRIVATE ${TBB_CXX_STD_FLAG})
target_compile_options(sub_string_finder_extended PRIVATE ${TBB_CXX_STD_FLAG})
target_compile_options(sub_string_finder_pretty PRIVATE ${TBB_CXX_STD_FLAG})

add_custom_target(sub_string_finder)
add_dependencies(sub_string_finder sub_string_finder_simple sub_string_finder_extended sub_string_finder_pretty)

set(EXECUTABLE "$<TARGET_FILE:sub_string_finder_extended>")
set(LIGHT_EXECUTABLE "$<TARGET_FILE:sub_string_finder_simple>")
set(ARGS "")
set(LIGHT_ARGS "silent")

add_execution_target(run_sub_string_finder sub_string_finder ${EXECUTABLE} "${ARGS}")
add_execution_target(light_test_sub_string_finder sub_string_finder ${LIGHT_EXECUTABLE} "${LIGHT_ARGS}")

=== examples/graph/cholesky/CMakeLists.txt ===
# Copyright (c) 2020-2023 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(cholesky CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

# TODO: Consider using FindMKL module
find_library(MKL_INTEL_LP64_LIB mkl_intel_lp64 PATHS ENV LIBRARY_PATH)
find_library(MKL_SEQUENTIAL_LIB mkl_sequential PATHS ENV LIBRARY_PATH)
find_library(MKL_CORE_LIB       mkl_core PATHS ENV LIBRARY_PATH)
if(NOT (MKL_INTEL_LP64_LIB OR MKL_SEQUENTIAL_LIB OR MKL_CORE_LIB))
    message(FATAL_ERROR "Cannot find Intel(R) Math Kernel Library (Intel(R) MKL).")
endif()

add_executable(cholesky init.cpp cholesky.cpp)
target_link_libraries(cholesky
    ${MKL_INTEL_LP64_LIB}
    ${MKL_SEQUENTIAL_LIB}
    ${MKL_CORE_LIB}
    TBB::tbb
    Threads::Threads
)
target_compile_options(cholesky PRIVATE ${TBB_CXX_STD_FLAG})

set(EXECUTABLE "$<TARGET_FILE:cholesky>")
set(ARGS 4 2)
add_execution_target(run_cholesky cholesky ${EXECUTABLE} "${ARGS}")

=== examples/graph/dining_philosophers/CMakeLists.txt ===
# Copyright (c) 2020-2023 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(dining_philosophers CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

add_executable(dining_philosophers dining_philosophers.cpp)

target_link_libraries(dining_philosophers TBB::tbb Threads::Threads)
target_compile_options(dining_philosophers PRIVATE ${TBB_CXX_STD_FLAG})

set(EXECUTABLE "$<TARGET_FILE:dining_philosophers>")
set(ARGS auto 5)
set(LIGHT_ARGS auto 3)

add_execution_target(run_dining_philosophers dining_philosophers ${EXECUTABLE} "${ARGS}")
add_execution_target(light_test_dining_philosophers dining_philosophers ${EXECUTABLE} "${LIGHT_ARGS}")

=== examples/graph/fgbzip2/CMakeLists.txt ===
# Copyright (c) 2020-2023 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(fgbzip2 CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

add_executable(fgbzip2
    blocksort.cpp
    bzlib.cpp
    compress.cpp
    crctable.cpp
    decompress.cpp
    fgbzip2.cpp
    huffman.cpp
    randtable.cpp
)

target_link_libraries(fgbzip2 TBB::tbb Threads::Threads)
target_compile_options(fgbzip2 PRIVATE ${TBB_CXX_STD_FLAG})

if (MSVC AND CMAKE_CXX_COMPILER_ID STREQUAL IntelLLVM)
    target_compile_options(fgbzip2 PRIVATE -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_DEPRECATE)
endif()

if (MSVC AND (CMAKE_CXX_COMPILER_ID STREQUAL Intel OR CMAKE_CXX_COMPILER_ID STREQUAL IntelLLVM))
    if (COMMAND target_link_options)
        target_link_options(fgbzip2 PRIVATE /FORCE:MULTIPLE /INCREMENTAL:NO)
    else()
        set_target_properties(fgbzip2 PROPERTIES LINK_FLAGS /FORCE:MULTIPLE /INCREMENTAL:NO)
    endif()
endif()

set(EXECUTABLE "$<TARGET_FILE:fgbzip2>")
set(ARGS -b=9 -async "$<TARGET_FILE:fgbzip2>")

add_execution_target(run_fgbzip2 fgbzip2 ${EXECUTABLE} "${ARGS}")
add_execution_target(perf_run_fgbzip2 fgbzip2 ${EXECUTABLE} "${ARGS}")

=== examples/parallel_for/seismic/CMakeLists.txt ===
# Copyright (c) 2020-2023 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(seismic CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

add_executable(seismic universe.cpp seismic_video.cpp main.cpp)

add_subdirectory(../../common/gui gui)

target_link_libraries(seismic PUBLIC TBB::tbb Threads::Threads UI_LIB_seismic)
target_compile_options(seismic PRIVATE ${TBB_CXX_STD_FLAG})

if (EXAMPLES_UI_MODE STREQUAL "con")
    target_compile_definitions(seismic PRIVATE _CONSOLE)
endif()

set(EXECUTABLE "$<TARGET_FILE:seismic>")
set(ARGS auto 0)
set(PERF_ARGS auto 10000 silent)
set(LIGHT_ARGS 1:2 100)

add_execution_target(run_seismic seismic ${EXECUTABLE} "${ARGS}")
add_execution_target(perf_run_seismic seismic ${EXECUTABLE} "${PERF_ARGS}")
add_execution_target(light_test_seismic seismic ${EXECUTABLE} "${LIGHT_ARGS}")

=== examples/parallel_for/tachyon/CMakeLists.txt ===
# Copyright (c) 2020-2024 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(tachyon CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

set(TACHYON_VERSION tbb CACHE STRING "Defines the version of the tachyon example")

add_executable(
    tachyon src/trace.${TACHYON_VERSION}.cpp
    src/main.cpp src/pthread.cpp
    src/tachyon_video.cpp src/api.cpp
    src/apigeom.cpp
    src/apitrigeom.cpp
    src/bndbox.cpp
    src/box.cpp
    src/camera.cpp
    src/coordsys.cpp
    src/cylinder.cpp
    src/extvol.cpp
    src/global.cpp
    src/grid.cpp
    src/imageio.cpp
    src/imap.cpp
    src/intersect.cpp
    src/light.cpp
    src/objbound.cpp
    src/parse.cpp
    src/plane.cpp
    src/ppm.cpp
    src/quadric.cpp
    src/render.cpp
    src/ring.cpp
    src/shade.cpp
    src/sphere.cpp
    src/texture.cpp
    src/tgafile.cpp
    src/trace_rest.cpp
    src/triangle.cpp
    src/ui.cpp
    src/util.cpp
    src/vector.cpp
    src/vol.cpp 
)

add_subdirectory(../../common/gui gui)

target_link_libraries(tachyon TBB::tbb Threads::Threads UI_LIB_tachyon)
target_compile_options(tachyon PRIVATE ${TBB_CXX_STD_FLAG})

if (MSVC AND CMAKE_CXX_COMPILER_ID STREQUAL IntelLLVM)
    target_compile_options(tachyon PRIVATE -D_CRT_SECURE_NO_WARNINGS)
endif()

set(EXECUTABLE "$<TARGET_FILE:tachyon>")
set(ARGS ${CMAKE_CURRENT_SOURCE_DIR}/dat/balls.dat)
set(PERF_ARGS silent ${CMAKE_CURRENT_SOURCE_DIR}/dat/balls3.dat)
set(LIGHT_ARGS ${CMAKE_CURRENT_SOURCE_DIR}/dat/model2.dat)

add_execution_target(run_tachyon tachyon ${EXECUTABLE} "${ARGS}")
add_execution_target(perf_run_tachyon tachyon ${EXECUTABLE} "${PERF_ARGS}")
add_execution_target(light_test_tachyon tachyon ${EXECUTABLE} "${LIGHT_ARGS}")

=== debian/changelog ===
onetbb (2022.0.0-2) unstable; urgency=medium

  * d/rules: Clean the html directory as well. (Closes: #1045631)
  * d/control: Update the homepage URL.
  * Bump Standards-Version to 4.7.0 (no change needed).
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Sat, 22 Feb 2025 13:51:55 -0500

onetbb (2022.0.0-1) unstable; urgency=medium

  * Patch sphinx config file to fix the build (Closes: #1091039)
  * Skip test_resumable_tasks to avoid FTBFS on s390x.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Jan 2025 20:29:54 -0500

onetbb (2022.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 2022.0.0
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Nov 2024 20:45:19 -0500

onetbb (2021.13.0-1~exp1) experimental; urgency=medium

  * New upstream version 2021.13.0
  * Refresh existing patches.
  * Switch from sphinx book theme to rtd theme due to pydata-sphinx-theme
    (0.15.4+dfsg-1) being temporarily buggy where it missed necessary files.
  * Remove unsupported C/CXXFLAGS for alpha and hppa architectures.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 17 Oct 2024 23:50:27 -0400

=== debian/control ===
Source: onetbb
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve Capper <steven.capper@gmail.com>, Mo Zhou <lumin@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               gdb,
               libhwloc-dev,
               libjs-jquery <!nodoc>,
               libjs-underscore <!nodoc>,
               ninja-build,
               pkgconf,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/tbb
Vcs-Git: https://salsa.debian.org/science-team/tbb.git
Homepage: https://uxlfoundation.github.io/oneTBB/
Rules-Requires-Root: no

Package: libtbb-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libtbb12 (= ${binary:Version}), ${misc:Depends}
Suggests: libtbb-doc
Description: parallelism library for C++ - development files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB development files.

Package: libtbb12
Architecture: linux-any
Multi-Arch: same
Depends: libtbbbind-2-5 (= ${binary:Version}),
         libtbbmalloc2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libtbb2 (<< 2021)
Description: parallelism library for C++ - runtime files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB runtime files.

Package: libtbbmalloc2
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libtbb12 (<< 2021.5-7ubuntu2), libtbb2 (<< 2020.3-1ubuntu2)
Replaces: libtbb12 (<< 2021.5-7ubuntu2), libtbb2 (<< 2020.3-1ubuntu2)
Description: parallelism helper library for C++ - runtime files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB runtime files.

Package: libtbbbind-2-5
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: parallelism library for C++ - runtime files
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 (Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
 or compatible hardware, this package only supports Pentium4-compatible
 and higher processors.)
 .
 This package includes the TBB runtime files.

Package: libtbb-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Breaks: tbb-examples (<< 2020.0-2)
Replaces: tbb-examples (<< 2020.0-2)
Depends: libjs-jquery, ${misc:Depends}
Recommends: libtbb-dev
Description: parallelism library for C++ - documentation
 TBB is a library that helps you leverage multi-core processor
 performance without having to be a threading expert. It represents a
 higher-level, task-based parallelism that abstracts platform details
 and threading mechanism for performance and scalability.
 .
 This package includes the TBB documentation files and examples.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS   = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

ifeq (alpha, $(DEB_HOST_ARCH))
CFLAGS := $(filter-out -fstack-protector, $(CFLAGS))
CXXFLAGS := $(filter-out -fstack-protector, $(CXXFLAGS))
endif
ifeq (hppa, $(DEB_HOST_ARCH))
CFLAGS := $(filter-out -fstack-clash-protection, $(CFLAGS))
CXXFLAGS := $(filter-out -fstack-clash-protection, $(CXXFLAGS))
endif

ifneq (,$(filter $(DEB_BUILD_ARCH), m68k sh4))
BUILD_FLAGS := -DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS) -faligned-new"
else
BUILD_FLAGS := -DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS) -Wno-error=stringop-overflow"
endif

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
# Provide compiler information
BUILD_FLAGS += -DCMAKE_C_COMPILER=$(DEB_HOST_GNU_TYPE)-gcc
BUILD_FLAGS += -DCMAKE_CXX_COMPILER=$(DEB_HOST_GNU_TYPE)-g++
endif

# explicitly link against libatomic
ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k sh4 powerpc))
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
endif


%:
	dh $@ -Scmake+ninja

override_dh_auto_clean:
	dh_auto_clean
	-$(RM) -rf html

# Common CMake Flags, see upstream documentation
# https://github.com/oneapi-src/oneTBB/blob/master/cmake/README.md
override_dh_auto_configure:
ifeq (ia64,$(DEB_HOST_ARCH))
	# https://github.com/oneapi-src/oneTBB/issues/777
	# This is a quick hack to disable ITT_NOTIFY on IA64
	sed -i -e 's/__TBB_USE_ITT_NOTIFY/__TBB_NO_USE_ITT_NOTIFY/g' src/tbb/CMakeLists.txt
endif
	dh_auto_configure -- \
		-DTBB_TEST=ON \
		-DTBB4PY_BUILD=OFF \
		$(BUILD_FLAGS)

override_dh_auto_build-arch:
# dump out diagnostics
	cat /proc/cpuinfo
	gcc -dM -E - < /dev/null
	echo Build system page size is $$(($$(getconf PAGESIZE) >> 10)) KiB
	dh_auto_build

override_dh_auto_build-indep:
	sphinx-build -b html doc/main html
	# strip the links to prevent privacy breach
	-find html -type f -exec sed -i -e \
		's@https://www.intel.com/content/dam/www/global/wap/performance-config.js@https://localhost/performance-config.js@g' '{}' \;
	# don't ship embedded fonts
	-$(RM) -rf html/_static/vendor
	# remove .doctree junk
	-$(RM) -rf html/.doctrees
	# remove pycache
	-$(RM) -rf html/_static/__pycache__
	# remove embedded javascripts. they will be provided by other system packages (see .links)
	-$(RM) html/_static/*.js

override_dh_auto_test-indep:
	:

override_dh_auto_install-indep:
	:

# Makefiles should not be compressed (tbb-examples)
override_dh_compress-indep:
	dh_compress -X*/examples/*

## onetbb 2022.1.0

=== examples/graph/logic_sim/CMakeLists.txt ===
# Copyright (c) 2020-2025 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5.0...3.31.3)

project(logic_sim CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

add_executable(logic_sim test_all.cpp)

target_link_libraries(logic_sim TBB::tbb Threads::Threads)
target_compile_options(logic_sim PRIVATE ${TBB_CXX_STD_FLAG})

set(EXECUTABLE "$<TARGET_FILE:logic_sim>")
set(ARGS 4)
set(PERF_ARGS auto silent)

add_execution_target(run_logic_sim logic_sim ${EXECUTABLE} "${ARGS}")
add_execution_target(perf_run_logic_sim logic_sim ${EXECUTABLE} "${PERF_ARGS}")

=== examples/graph/som/CMakeLists.txt ===
# Copyright (c) 2020-2025 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5.0...3.31.3)

include(../../common/cmake/common.cmake)
project(som CXX)
set_common_project_settings(tbb)

add_executable(som som_graph.cpp som.cpp)

target_link_libraries(som TBB::tbb Threads::Threads)
target_compile_options(som PRIVATE ${TBB_CXX_STD_FLAG})

set(EXECUTABLE "$<TARGET_FILE:som>")
set(ARGS)
set(LIGHT_ARGS 4)

add_execution_target(run_som som ${EXECUTABLE} "${ARGS}")
add_execution_target(light_test_som som ${EXECUTABLE} "${LIGHT_ARGS}")

=== examples/migration/recursive_fibonacci/CMakeLists.txt ===
# Copyright (c) 2023-2025 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5.0...3.31.3)

project(recursive_fibonacci CXX)

include(../../common/cmake/common.cmake)

set_common_project_settings(tbb)

add_executable(recursive_fibonacci fibonacci.cpp)
target_link_libraries(recursive_fibonacci
                      TBB::tbb
                      Threads::Threads
                      $<$<PLATFORM_ID:Linux>:rt>)  # Link "rt" library on Linux
target_compile_options(recursive_fibonacci PRIVATE ${TBB_CXX_STD_FLAG})

set(EXECUTABLE "$<TARGET_FILE:recursive_fibonacci>")

# Parameters of executable N C I:
# `N` - specifies the fibonacci number which would be calculated.
# `C` - cutoff that will be used to stop recursive split.
# `I` - number of iteration to measure benchmark time.
set(ARGS 30 16 20 1)
set(PERF_ARGS 50 5 20)

add_execution_target(run_recursive_fibonacci recursive_fibonacci ${EXECUTABLE} "${ARGS}")
add_execution_target(perf_run_recursive_fibonacci recursive_fibonacci ${EXECUTABLE} "${PERF_ARGS}")

=== debian/changelog ===
onetbb (2022.1.0-3) unstable; urgency=medium

  * Team upload.
  * Skip test_mutex, it fails in Salsa CI. Closes: #1094260.
  * Add debian/salsa-ci.yml again, we need it to disable some
    jobs in some branches.
  * Fix metadata of sh4-support.patch.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 20 Sep 2025 23:25:00 +0200

onetbb (2022.1.0-2) unstable; urgency=medium

  * Team upload.
  * Set LC_ALL=C.UTF-8 in debian/rules to make reprotest happy.
  * Skip some tests when the machine has a single CPU. Closes: #1108053.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Sep 2025 23:50:00 +0200

onetbb (2022.1.0-1) unstable; urgency=medium

  * Team upload (Closes: #1101729)
  * Drop unnecessary CI config

 -- Bastian Germann <bage@debian.org>  Wed, 02 Apr 2025 20:52:06 +0200

onetbb (2022.1.0-1~exp1) unstable; urgency=medium

  * New upstream version 2022.1.0
  * Refresh existing patches.
  * Add missing sphinx-design package and fix sphinx doc build.
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 29 Mar 2025 16:49:33 -0400

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                ninja-build,
                pkgconf,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinx-design <!nodoc>,
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/tbb
 Vcs-Git: https://salsa.debian.org/science-team/tbb.git
 Homepage: https://uxlfoundation.github.io/oneTBB/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
+
+export LC_ALL = C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS   = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -60,7 +62,7 @@
 	dh_auto_build
 
 override_dh_auto_build-indep:
-	sphinx-build -b html doc/main html
+	sphinx-build -b html doc/ html
 	# strip the links to prevent privacy breach
 	-find html -type f -exec sed -i -e \
 		's@https://www.intel.com/content/dam/www/global/wap/performance-config.js@https://localhost/performance-config.js@g' '{}' \;

=== debian/tests/control ===
Tests: runtests.sh
Depends: build-essential, cmake, @
Restrictions: allow-stderr

Tests: cmaketest.sh
Depends: build-essential, cmake, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/oneapi-src/oneTBB/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## onetbb 2022.3.0

=== debian/changelog ===
onetbb (2022.3.0-2+rpi1) forky-staging; urgency=medium

  [changes brought forward from 2021.5.0-12+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 01 Jul 2022 09:58:06 +0000]
  * Link against libatomic on armhf too.
  * Fix clean target.

  [changes introduced in 2021.5.0-15+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 27 Jan 2026 05:32:18 +0000

onetbb (2022.3.0-2) unstable; urgency=medium

  * Team upload.
  * Mark gdb as test-only Build-Dependency.

 -- Bastian Germann <bage@debian.org>  Sat, 24 Jan 2026 10:06:00 +0100

onetbb (2022.3.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Jan 2026 16:56:16 -0500

onetbb (2022.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2022.3.0
  * Refresh existing patches.
  * Refresh symbols control file (3 new symbols).
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 15:00:55 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               gdb,
+               gdb <!nocheck>,
                libhwloc-dev,
                libjs-jquery <!nodoc>,
                libjs-underscore <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 endif
 
 # explicitly link against libatomic
-ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k sh4 powerpc))
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel m68k sh4 powerpc))
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
@@ -75,6 +75,9 @@
 	# remove embedded javascripts. they will be provided by other system packages (see .links)
 	-$(RM) html/_static/*.js
 
+override_dh_auto_test:
+	echo testsuite disabled
+
 override_dh_auto_test-indep:
 	:
 
@@ -84,3 +87,6 @@
 # Makefiles should not be compressed (tbb-examples)
 override_dh_compress-indep:
 	dh_compress -X*/examples/*
+
+execute_after_dh_auto_clean:
+	rm -rf html
